@import "./reset.css";
@import "./global.css";

* {
    box-sizing: border-box;
}

.wrapper{
    width: 100%;
    background-image: url("../img/background.png");
    background-size: cover;
    background-repeat: no-repeat;
}

.section-header {
    height: 56px;
    background-color: rgba(29, 26, 25, 0.6);
}

.section-header-first {
    display: inline-block;
    /*width: 1260px;*/
    height: 56px;
}

.section-header-text {
    padding: 19px 676px 19px 100px;
    display: inline-block;
}

.link-text {
    text-decoration: none;
    font-size: 20px;
    color: #ffffff;
    text-transform: uppercase;
    font-weight: bold;
}

.logo-text-position:hover {
    color: #329a65;
}

.main-section{
    display: flex;
    height: 750px;
    justify-content: center;
    align-items: center;
}

.icon-wrapper{
    display: inline-block;
}

.sprite{
    text-decoration: none;
    display: inline-block;
}

.sprite2-g, .sprite2, .sprite3-g, .sprite3, .sprite1-g,
.sprite1 {
    display: inline-block;
    background: url("../img/st.png") no-repeat;
    text-align: right; }

.sprite1 {
    background-position: -20px -199px;
    width: 19px;
    height: 19px;
    margin-right: 28px;
}

.sprite2 {
    background-position: -20px -40px;
    width: 28px; height: 20px;
    margin-right: 28px;
}

.sprite3 {
    background-position: -20px -120px;
    width: 20px;
    height: 20px;
    margin-right: 28px;
}

.sprite1:hover
{
    background-position: -20px -160px;
}

.sprite2:hover {
    background-position: -20px -0px;
}

.sprite3:hover {
    background-position: -20px -80px;
}

.decoration-line {
    display: inline-block;
    text-align: right;
    background-color: #ffffff;
    width: 1px;
    height: 19px;
    opacity: 0.2;
}
.section-header-authorization {
    display: inline-block;
    margin-left: 24px;
    color: #ffffff;
}

.text-authorization {
    font-size: 14px;
}
.log-in {
    font-size: 14px;
    color: #329a65;
}

.sign-up {
    font-size: 14px;
    color: #329a65;
}

.block-authorization-first {
    display: inline-block;
}

.block-authorization-second {
    display: inline-block;
}

.form {
    display: inline-block;
    width: 444px;
    height: 584px;
    background-color: #ffffff;
    border-radius: 15px;
}

.form-header {
    margin: 29px 42px 15px 0 ;

}

.decoration-element {
    display: inline-block;
    background-color: #329a65;
    width: 18px;
    height: 18px;
    margin-right: 42px;
}

.sign-up-text {
    font-size: 20px;
    color: rgba(67, 67, 67, 255);
    margin-right: 205px;
}

.form-log-in {
    font-size: 14px;
    color: #329a65;
}

.buttons {
    width: 100%;
    display: flex;
    margin-bottom: 25px;
    justify-content: center;
}

.button-facebook {
    display: inline-block;
    position: relative;
    margin-right: 10px;
    background-color:#264b96;
    border: none;
    color: white;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    width: 157px;
    height: 46px;
    border-radius: 4px;
}

.img-facebook {
    text-align: left;
    display: inline-block;
    margin-right: 17px;
}

.text-facebook{
    margin-left: 18px;
}

.facebook-separator{
    position: absolute;
    top: 9px;
    width: 1px;
    height: 29px;
    background-color: black;
    opacity: 0.2;
}

.button-google {
    background-color:#df4a32;
    border: none;
    color: white;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    width: 157px;
    height: 46px;
    border-radius: 4px;
    position: relative;
}

.img-google {
    text-align: left;
    display: inline-block;
    margin-right: 4px;
    margin-left: -9px;
}

.text-google {
    margin-left: 18px;
}

.google-separator{
    position: absolute;
    top: 9px;
    width: 1px;
    height: 29px;
    background-color: black;
    opacity: 0.2;
}

.decoration-lines {
    display: inline-block;
    margin-left: 62px;
    margin-bottom: 21px;
}

.decoration-line-left {
    display: inline-block;
    margin-right: 18px;
    width: 135px;
    height: 1px;
    background-color: #eaeaea;
}

.text-or {
    margin-right: 18px;
    font-size: 14px;
    color: rgba(132, 132, 132, 255);
}
.decoration-line-right {
    display: inline-block;
    width: 135px;
    height: 1px;
    background-color: #eaeaea;
}

.form-input {
    display: inline-block;
    margin-left: 62px;
}

.form-sign-up {
border-color: #d8d8d8;
    padding-bottom: 10px;
}

.button-create-account {
    width: 322px;
    height: 46px;
    font-size: 16px;
    color: rgba(255, 255, 255, 255);
    background-color: #329a65;
    border: none;
    color: white;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    border-radius: 4px;
}

.form-name-name {
    border: 1px solid #cfcfcf;
    width: 326px;
    height: 45px;
    margin-bottom: 9px;
    padding-left: 19px;;
}

.form-name-name:focus{
    color: #434343;
    box-shadow: 1px 2px 4px 1px #e1e1e1;
}

.form-name-text {
    border: 1px solid #cfcfcf;
    width: 326px;
    height: 45px;
    margin-bottom: 9px;
    padding-left: 19px;
}

.form-name-text:focus {
    color: #434343;
    box-shadow: 1px 2px 4px 1px #e1e1e1;
}

.form-name-email {
    border: 1px solid #cfcfcf;
    width: 326px;
    height: 45px;
    margin-bottom: 9px;
    padding-left: 19px;
}

.form-name-email:focus {
    color: #434343;
    box-shadow: 1px 2px 4px 1px #e1e1e1;
}

.form-name-password {
    border: 1px solid #cfcfcf;
    width: 326px;
    height: 45px;
    margin-bottom: 9px;
    padding-left: 19px;
}

.form-name-password:focus {
    color: #434343;
    box-shadow: 1px 2px 4px 1px #e1e1e1;
}

.form-name-confirm-password {
    border: 1px solid #cfcfcf;
    width: 326px;
    height: 45px;
    margin-bottom: 22px;
    padding-left: 19px;
}

.form-name-confirm-password:focus {
    color: #434343;
    box-shadow: 1px 2px 4px 1px #e1e1e1;
}

.agreement-stroke {
    margin: 0 10px 0 10px;
}

.term-conditions {
    color: #329a65;
}

.checkbox {
    line-height: 24px;
    font-size: 16px;
    box-sizing: border-box;
    margin-bottom: 10px;
}

.checkbox input[type="checkbox"] {
    display: none;
}

.checkbox label {
    position: relative;
    display: inline-block;
    padding-left: 22px;
}

.checkbox label::before,
.checkbox label::after {
    position: absolute;
    content: "";
    display: inline-block;
}

.checkbox label::before {
    height: 16px;
    width: 16px;
    border: 1px solid #cfcfcf;
    border-radius: 20%;
    left: 0;
    top: 3px;
}

.checkbox label::after {
    height: 5px;
    width: 9px;
    border-left: 2px solid;
    border-bottom: 2px solid;
    transform: rotate(-45deg);
    left: 4px;
    top: 7px;
}

.checkbox input[type="checkbox"] + label::after {
    content: none;
}

.checkbox input[type="checkbox"]:checked + label::after {
    content: "";
    color: #329a65;
}



